PHP CodeSniffer and OLS ?

Discussion in 'Linux Support: RHEL, CentOS, SUSE etc' started by enthess, Apr 7, 2016.

  1. enthess

    enthess Member

    Hello,

    I am running lsphp70 through yum install on centos 7, and when i want to "yum install phpcs" it wants to download standard php 5.4 lib and exec.

    And google doesnt seem to know how to combine phpcs and ols .

    Do you have any ideas?

    I was reaching for "pear install ..." too, but OLS doesnt seem to provide an "lspear"-exec ?
     
  2. lsfoo

    lsfoo Administrator

    Hi enthess,

    It might be trying to install the 5.4 lib and exec because the yum package depends on 5.4.

    What happens if you try installing it with a specific version? here

    Cheers,
    Kevin
     
  3. enthess

    enthess Member

    Hello!

    Yes, downloading the tar.gz seems to be working.

    OT Question: Whats the difference between "lsphp" and "php" ? (litespeed vs cli)
     
  4. lsfoo

    lsfoo Administrator

    Good to hear!

    lsphp is the same as php, except it includes our own implemented SAPI. This is part of the speed improvement that most people will see when switching to LiteSpeed.

    You can read more about it here.

    Cheers,
    Kevin
     

Share This Page